SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Plesk Vendors:   SWsoft
Plesk 7 Reloaded Input Validation Flaw in 'login_up.php3' Permits Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1011042
SecurityTracker URL:  http://securitytracker.com/id/1011042
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Aug 24 2004
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Exploit Included:  Yes  
Version(s): 7.1
Description:   A vulnerability was reported in Plesk 7 Reloaded. A remote user can conduct cross-site scripting attacks.

Sourvivor reported that the 'login_up.php3' script does not properly filter HTML code from user-supplied input in the 'login_name' variable before displaying that information. A remote user can create a specially crafted URL that, when loaded by a target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the Plesk 7 Reloaded software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

A demonstration exploit URL is provided:

http://[target]/login_up.php3?login_name="><script>alert(document.cookie)</script><"&passwd=TheSur

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the Plese 7 Reloaded software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.sw-soft.com/en/products/plesk7reloaded/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   None.


 Source Message Contents

Subject:  [Full-Disclosure] XSS in Plesk 7.1 Reloaded


This bug was tested only in website plesk demo (plesk 7.1 reloaded).

proof of concept:
Login first in http://plesk7r.demo.sw-soft.com:8443/ (Login: admin ,
password: plesk), then go to:
http://plesk7r.demo.sw-soft.com:8443/login_up.php3?login_name="><script>alert(document.cookie)</script><"&passwd=TheSur


Sourvivor,
www.thesur.com/sourvivor/sourvivor.asc


_______________________________________________
Full-Disclosure - We believe in it.
Charter: http://lists.netsys.com/full-disclosure-charter.html

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC